Index: cpukit/libmisc/ChangeLog
===================================================================
--- cpukit/libmisc/ChangeLog	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ cpukit/libmisc/ChangeLog	(revision 0fa54a0be5be116d83c8ebfb22549dbe4b35ab45)
@@ -1,2 +1,41 @@
+2003-11-20	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* capture/config.h: Remove.
+	* capture/Makefile.am: Remove config.h.
+	AM_CPPFLAGS += -I$(top_builddir).
+	* cpuuse/config.h: Remove.
+	* cpuuse/Makefile.am: Remove config.h.
+	AM_CPPFLAGS += -I$(top_builddir).
+	* devnull/config.h: Remove.
+	* devnull/Makefile.am: Remove config.h.
+	AM_CPPFLAGS += -I$(top_builddir).
+	* dummy/config.h: Remove.
+	* dummy/Makefile.am: Remove config.h.
+	AM_CPPFLAGS += -I$(top_builddir).
+	* dumpbuf/config.h: Remove.
+	* dumpbuf/Makefile.am: Remove config.h.
+	AM_CPPFLAGS += -I$(top_builddir).
+	* monitor/config.h: Remove.
+	* monitor/Makefile.am: Remove config.h.
+	AM_CPPFLAGS += -I$(top_builddir).
+	* mw-fb/config.h: Remove.
+	* mw-fb/Makefile.am: Remove config.h.
+	AM_CPPFLAGS += -I$(top_builddir).
+	* rtmonuse/config.h: Remove.
+	* rtmonuse/Makefile.am: Remove config.h.
+	AM_CPPFLAGS += -I$(top_builddir).
+	* serdbg/config.h: Remove.
+	* serdbg/Makefile.am: Remove config.h.
+	AM_CPPFLAGS += -I$(top_builddir).
+	* shell/config.h: Remove.
+	* shell/Makefile.am: Remove config.h.
+	AM_CPPFLAGS += -I$(top_builddir).
+	* stackchk/config.h: Remove.
+	* stackchk/Makefile.am: Remove config.h.
+	AM_CPPFLAGS += -I$(top_builddir).
+	* untar/config.h: Remove.
+	* untar/Makefile.am: Remove config.h.
+	AM_CPPFLAGS += -I$(top_builddir).
+
 2003-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/libmisc/capture/Makefile.am
===================================================================
--- cpukit/libmisc/capture/Makefile.am	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ cpukit/libmisc/capture/Makefile.am	(revision 0fa54a0be5be116d83c8ebfb22549dbe4b35ab45)
@@ -13,8 +13,8 @@
 include_rtems_HEADERS = capture.h capture-cli.h
 
-noinst_HEADERS = config.h
-
 include $(top_srcdir)/automake/compile.am
 include $(top_srcdir)/automake/lib.am
+
+AM_CPPFLAGS += -I$(top_builddir)
 
 $(PROJECT_INCLUDE)/rtems:
Index: ukit/libmisc/capture/config.h
===================================================================
--- cpukit/libmisc/capture/config.h	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ 	(revision )
@@ -1,5 +1,0 @@
-/* HACK: 
- * Pull-in RTEMS global config-header cpuopts.h as local config.h 
- */
-
-#include <rtems/score/cpuopts.h>
Index: cpukit/libmisc/cpuuse/Makefile.am
===================================================================
--- cpukit/libmisc/cpuuse/Makefile.am	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ cpukit/libmisc/cpuuse/Makefile.am	(revision 0fa54a0be5be116d83c8ebfb22549dbe4b35ab45)
@@ -14,8 +14,8 @@
 include_rtems_HEADERS = cpuuse.h
 
-noinst_HEADERS = config.h
-
 include $(top_srcdir)/automake/compile.am
 include $(top_srcdir)/automake/lib.am
+
+AM_CPPFLAGS += -I$(top_builddir)
 
 $(PROJECT_INCLUDE)/rtems:
Index: ukit/libmisc/cpuuse/config.h
===================================================================
--- cpukit/libmisc/cpuuse/config.h	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ 	(revision )
@@ -1,5 +1,0 @@
-/* HACK: 
- * Pull-in RTEMS global config-header cpuopts.h as local config.h 
- */
-
-#include <rtems/score/cpuopts.h>
Index: cpukit/libmisc/devnull/Makefile.am
===================================================================
--- cpukit/libmisc/devnull/Makefile.am	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ cpukit/libmisc/devnull/Makefile.am	(revision 0fa54a0be5be116d83c8ebfb22549dbe4b35ab45)
@@ -14,8 +14,8 @@
 include_rtems_HEADERS = devnull.h
 
-noinst_HEADERS = config.h
-
 include $(top_srcdir)/automake/compile.am
 include $(top_srcdir)/automake/lib.am
+
+AM_CPPFLAGS += -I$(top_builddir)
 
 $(PROJECT_INCLUDE)/rtems:
Index: ukit/libmisc/devnull/config.h
===================================================================
--- cpukit/libmisc/devnull/config.h	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ 	(revision )
@@ -1,5 +1,0 @@
-/* HACK: 
- * Pull-in RTEMS global config-header cpuopts.h as local config.h 
- */
-
-#include <rtems/score/cpuopts.h>
Index: cpukit/libmisc/dummy/Makefile.am
===================================================================
--- cpukit/libmisc/dummy/Makefile.am	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ cpukit/libmisc/dummy/Makefile.am	(revision 0fa54a0be5be116d83c8ebfb22549dbe4b35ab45)
@@ -10,8 +10,8 @@
 OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
-noinst_HEADERS = config.h
-
 include $(top_srcdir)/automake/compile.am
 include $(top_srcdir)/automake/lib.am
+
+AM_CPPFLAGS += -I$(top_builddir)
 
 #
Index: ukit/libmisc/dummy/config.h
===================================================================
--- cpukit/libmisc/dummy/config.h	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ 	(revision )
@@ -1,5 +1,0 @@
-/* HACK: 
- * Pull-in RTEMS global config-header cpuopts.h as local config.h 
- */
-
-#include <rtems/score/cpuopts.h>
Index: cpukit/libmisc/dumpbuf/Makefile.am
===================================================================
--- cpukit/libmisc/dumpbuf/Makefile.am	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ cpukit/libmisc/dumpbuf/Makefile.am	(revision 0fa54a0be5be116d83c8ebfb22549dbe4b35ab45)
@@ -14,8 +14,8 @@
 include_rtems_HEADERS = dumpbuf.h
 
-noinst_HEADERS = config.h
-
 include $(top_srcdir)/automake/compile.am
 include $(top_srcdir)/automake/lib.am
+
+AM_CPPFLAGS += -I$(top_builddir)
 
 $(PROJECT_INCLUDE)/rtems:
Index: ukit/libmisc/dumpbuf/config.h
===================================================================
--- cpukit/libmisc/dumpbuf/config.h	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ 	(revision )
@@ -1,5 +1,0 @@
-/* HACK: 
- * Pull-in RTEMS global config-header cpuopts.h as local config.h 
- */
-
-#include <rtems/score/cpuopts.h>
Index: cpukit/libmisc/monitor/Makefile.am
===================================================================
--- cpukit/libmisc/monitor/Makefile.am	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ cpukit/libmisc/monitor/Makefile.am	(revision 0fa54a0be5be116d83c8ebfb22549dbe4b35ab45)
@@ -23,8 +23,10 @@
 include_rtems_HEADERS = monitor.h
 
-noinst_HEADERS = config.h symbols.h
+noinst_HEADERS = symbols.h
 
 include $(top_srcdir)/automake/compile.am
 include $(top_srcdir)/automake/lib.am
+
+AM_CPPFLAGS += -I$(top_builddir)
 
 $(PROJECT_INCLUDE)/rtems:
Index: ukit/libmisc/monitor/config.h
===================================================================
--- cpukit/libmisc/monitor/config.h	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ 	(revision )
@@ -1,5 +1,0 @@
-/* HACK: 
- * Pull-in RTEMS global config-header cpuopts.h as local config.h 
- */
-
-#include <rtems/score/cpuopts.h>
Index: cpukit/libmisc/mw-fb/Makefile.am
===================================================================
--- cpukit/libmisc/mw-fb/Makefile.am	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ cpukit/libmisc/mw-fb/Makefile.am	(revision 0fa54a0be5be116d83c8ebfb22549dbe4b35ab45)
@@ -14,8 +14,8 @@
 include_rtems_HEADERS = mw_fb.h mw_uid.h
 
-noinst_HEADERS = config.h
-
 include $(top_srcdir)/automake/compile.am
 include $(top_srcdir)/automake/lib.am
+
+AM_CPPFLAGS += -I$(top_builddir)
 
 $(PROJECT_INCLUDE)/rtems:
Index: ukit/libmisc/mw-fb/config.h
===================================================================
--- cpukit/libmisc/mw-fb/config.h	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ 	(revision )
@@ -1,5 +1,0 @@
-/* HACK: 
- * Pull-in RTEMS global config-header cpuopts.h as local config.h 
- */
-
-#include <rtems/score/cpuopts.h>
Index: cpukit/libmisc/rtmonuse/Makefile.am
===================================================================
--- cpukit/libmisc/rtmonuse/Makefile.am	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ cpukit/libmisc/rtmonuse/Makefile.am	(revision 0fa54a0be5be116d83c8ebfb22549dbe4b35ab45)
@@ -14,8 +14,8 @@
 include_rtems_HEADERS = rtmonuse.h
 
-noinst_HEADERS = config.h
-
 include $(top_srcdir)/automake/compile.am
 include $(top_srcdir)/automake/lib.am
+
+AM_CPPFLAGS += -I$(top_builddir)
 
 $(PROJECT_INCLUDE)/rtems:
Index: ukit/libmisc/rtmonuse/config.h
===================================================================
--- cpukit/libmisc/rtmonuse/config.h	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ 	(revision )
@@ -1,5 +1,0 @@
-/* HACK: 
- * Pull-in RTEMS global config-header cpuopts.h as local config.h 
- */
-
-#include <rtems/score/cpuopts.h>
Index: cpukit/libmisc/serdbg/Makefile.am
===================================================================
--- cpukit/libmisc/serdbg/Makefile.am	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ cpukit/libmisc/serdbg/Makefile.am	(revision 0fa54a0be5be116d83c8ebfb22549dbe4b35ab45)
@@ -16,8 +16,8 @@
 endif
 
-noinst_HEADERS = config.h
-
 include $(top_srcdir)/automake/compile.am
 include $(top_srcdir)/automake/lib.am
+
+AM_CPPFLAGS += -I$(top_builddir)
 
 $(PROJECT_INCLUDE):
Index: ukit/libmisc/serdbg/config.h
===================================================================
--- cpukit/libmisc/serdbg/config.h	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ 	(revision )
@@ -1,5 +1,0 @@
-/* HACK: 
- * Pull-in RTEMS global config-header cpuopts.h as local config.h 
- */
-
-#include <rtems/score/cpuopts.h>
Index: cpukit/libmisc/shell/Makefile.am
===================================================================
--- cpukit/libmisc/shell/Makefile.am	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ cpukit/libmisc/shell/Makefile.am	(revision 0fa54a0be5be116d83c8ebfb22549dbe4b35ab45)
@@ -16,8 +16,8 @@
 endif
 
-noinst_HEADERS = config.h
-
 include $(top_srcdir)/automake/compile.am
 include $(top_srcdir)/automake/lib.am
+
+AM_CPPFLAGS += -I$(top_builddir)
 
 $(PROJECT_INCLUDE)/rtems:
Index: ukit/libmisc/shell/config.h
===================================================================
--- cpukit/libmisc/shell/config.h	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ 	(revision )
@@ -1,5 +1,0 @@
-/* HACK: 
- * Pull-in RTEMS global config-header cpuopts.h as local config.h 
- */
-
-#include <rtems/score/cpuopts.h>
Index: cpukit/libmisc/stackchk/Makefile.am
===================================================================
--- cpukit/libmisc/stackchk/Makefile.am	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ cpukit/libmisc/stackchk/Makefile.am	(revision 0fa54a0be5be116d83c8ebfb22549dbe4b35ab45)
@@ -14,9 +14,10 @@
 include_rtems_HEADERS = stackchk.h
 
-noinst_HEADERS = config.h
-noinst_HEADERS += internal.h
+noinst_HEADERS = internal.h
 
 include $(top_srcdir)/automake/compile.am
 include $(top_srcdir)/automake/lib.am
+
+AM_CPPFLAGS += -I$(top_builddir)
 
 $(PROJECT_INCLUDE)/rtems:
Index: ukit/libmisc/stackchk/config.h
===================================================================
--- cpukit/libmisc/stackchk/config.h	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ 	(revision )
@@ -1,5 +1,0 @@
-/* HACK: 
- * Pull-in RTEMS global config-header cpuopts.h as local config.h 
- */
-
-#include <rtems/score/cpuopts.h>
Index: cpukit/libmisc/untar/Makefile.am
===================================================================
--- cpukit/libmisc/untar/Makefile.am	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ cpukit/libmisc/untar/Makefile.am	(revision 0fa54a0be5be116d83c8ebfb22549dbe4b35ab45)
@@ -14,6 +14,4 @@
 include_rtems_HEADERS = untar.h
 
-noinst_HEADERS = config.h
-
 include $(top_srcdir)/automake/compile.am
 include $(top_srcdir)/automake/lib.am
@@ -23,4 +21,6 @@
 $(PROJECT_INCLUDE)/rtems/%.h: %.h
 	$(INSTALL_DATA) $< $@
+
+AM_CPPFLAGS += -I$(top_builddir)
 
 #
Index: ukit/libmisc/untar/config.h
===================================================================
--- cpukit/libmisc/untar/config.h	(revision 738a9ae8e7f9faaf3128c36895973b06015897f9)
+++ 	(revision )
@@ -1,5 +1,0 @@
-/* HACK: 
- * Pull-in RTEMS global config-header cpuopts.h as local config.h 
- */
-
-#include <rtems/score/cpuopts.h>
